<?php
include'database.php';

session_start();

function fetchDoctor($pdo){
    if($_SESSION["user_type"] == 2){
        $user = finduser($pdo, $_SESSION["user"]);
        return $user[0][4];
    } 
    $data = $_POST;
    return $_POST["medico"];
}


function listEvents(){
    $pdo = connectDatabase();
    $doctor = fetchDoctor($pdo);
    $events = fetchCalendarEvents($pdo, $doctor);
    closeDatabase($pdo);
    return json_encode($events);
}


function listHolidays(){
    $pdo = connectDatabase();
    $doctor = fetchDoctor($pdo);
    $holidays = fetchDoctorHolidays($pdo, $doctor);
    closeDatabase($pdo);
    return json_encode($holidays);
}


function listCalendarSettings(){
    $pdo = connectDatabase();
    $doctor = fetchDoctor($pdo);
    $calendar_settings = fetchCalendarSettings($pdo, $doctor);
    closeDatabase($pdo);
    return json_encode($events);
}


if (isset($_GET["list"])) {
    listEvents();
    listHolidays();
    listCalendarSettings();
    header('location: appointment.php');
}
